/**
 * Copyright (c) 2020 fumeiai All rights reserved.
 *
 *
 *
 * 版权所有，侵权必究！
 */

package com.lz.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 系统用户Token
 *
 * @author Mark sunlightcs@gmail.com
 */
@Data
@TableName("sys_user_token")
public class SysUserTokenEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	//
	@TableId(value = "user_id", type = IdType.AUTO)
	private Long userId;
	//token
	private String token;
	//过期时间
	private Date expireTime;
	//更新时间
	private Date updateTime;
	//0表示系统用户，1表示普通员工
	private Integer type;
	//token对应的code，一次查询有效，查询后置空
	private String tokenCode;
	//toke_code对应添加的时间超过该事件+3分钟失效
	private Date codeTime;
	/**
	 *
	 * @return
	 */
	public Long getUserId() {
		return userId;
	}
	/**
	 *
	 * @param userId
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

	/**
	 * token
	 * @return
	 */
	public String getToken() {
		return token;
	}
	/**
	 * token
	 * @param token
	 */
	public void setToken(String token) {
		this.token = token;
	}

	/**
	 * 过期时间
	 * @return
	 */
	public Date getExpireTime() {
		return expireTime;
	}
	/**
	 * 过期时间
	 * @param expireTime
	 */
	public void setExpireTime(Date expireTime) {
		this.expireTime = expireTime;
	}

	/**
	 * 更新时间
	 * @return
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 更新时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 0表示系统用户，1表示普通员工
	 * @return
	 */
	public Integer getType() {
		return type;
	}
	/**
	 * 0表示系统用户，1表示普通员工
	 * @param type
	 */
	public void setType(Integer type) {
		this.type = type;
	}

	public String getTokenCode() {
		return tokenCode;
	}

	public void setTokenCode(String tokenCode) {
		this.tokenCode = tokenCode;
	}

	public Date getCodeTime() {
		return codeTime;
	}

	public void setCodeTime(Date codeTime) {
		this.codeTime = codeTime;
	}

	@Override
	public String toString() {
		return "SysUserToken{" +
				",userId=" + userId +
				",token=" + token +
				",expireTime=" + expireTime +
				",updateTime=" + updateTime +
				",type=" + type +
				",tokenCode=" + tokenCode +
				",codeTime=" + codeTime +
				"}";
	}

}
